unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DirTree, ComCtrls;

type
  TForm1 = class(TForm)
    DirectoryTreeView1: TDirectoryTreeView;
    Label1: TLabel;
    Button2: TButton;
    Button1: TButton;
    Edit1: TEdit;
    FolderCheckBox: TCheckBox;
    MaskEdit: TEdit;
    MaskLabel: TLabel;
    Label2: TLabel;
    NewFileListBox1: TNewFileListBox;
    NetCheckBox: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FolderCheckBoxClick(Sender: TObject);
    procedure MaskEditKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure NetCheckBoxClick(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure NewFileListBox1FileSelect(Sender: TObject; Name: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
    DIrectoryTreeView1.CreateDirectory;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    with Edit1, DIrectoryTreeView1 do
        if Text <> '' then
        	Directory := Edit1.Text;
end;

procedure TForm1.FolderCheckBoxClick(Sender: TObject);
begin
	with NewFileListBox1 do
		if FolderCheckBox.Checked then
          	FileType := FileType + [ftDirectory]
    	else
          	FileType := FileType - [ftDirectory];
end;

procedure TForm1.MaskEditKeyPress(Sender: TObject; var Key: Char);
begin
	if Key=#13 then
		NewFileListBox1.Mask := MaskEdit.Text;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    MaskEdit.Text := NewFileListBox1.Mask;
    FolderCheckBox.Checked :=
		ftDirectory in NewFileListBox1.FileType;
	NetCheckBox.Checked := DirectoryTreeView1.NetBrowse;
end;

procedure TForm1.NetCheckBoxClick(Sender: TObject);
begin
	DirectoryTreeView1.NetBrowse := NetCheckBox.Checked;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
	if Key=#13 then
		DirectoryTreeView1.Directory := Edit1.Text;
end;

procedure TForm1.NewFileListBox1FileSelect(Sender: TObject; Name: String);
begin
	ShowMessage('  '+Name);
end;

end.
